<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="334dp"
    android:id="@+id/cs_root"
    android:layout_height="wrap_content"
    xmlns:tools="http://schemas.android.com/tools">

    <androidx.constraintlayout.widget.ConstraintLayout
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintLeft_toLeftOf="parent"
        android:id="@+id/cs_share_view"
        android:layout_width="match_parent"
        android:layout_height="wrap_content">
        <ImageView
            android:id="@+id/iv_bg_top"
            android:scaleType="fitXY"
            android:adjustViewBounds="true"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:src="@drawable/bg_share_live_top"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <ImageView
            android:id="@+id/iv_bg_bottom"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:adjustViewBounds="true"
            android:scaleType="fitXY"
            android:src="@drawable/bg_share_live_bottom"
            app:layout_constraintLeft_toLeftOf="@+id/iv_bg_top"
            app:layout_constraintRight_toRightOf="@+id/iv_bg_top"
            app:layout_constraintTop_toBottomOf="@+id/iv_bg_top" />

        <ImageView
            android:id="@+id/iv_code"
            android:layout_width="89dp"
            android:layout_height="89dp"
            android:layout_marginStart="15dp"
            android:layout_marginBottom="10dp"
            app:layout_constraintBottom_toBottomOf="@+id/iv_bg_top"
            app:layout_constraintLeft_toLeftOf="@+id/iv_bg_top" />

        <TextView
            android:layout_marginTop="5dp"
            android:id="@+id/tv_share_tip"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginStart="25dp"
            android:layout_marginEnd="15dp"
            android:includeFontPadding="false"
            android:text="温馨提示：保存图片到相册或长按识别二维码进入查看喔～"
            android:textColor="@color/color_999999"
            android:textSize="@dimen/sp_12"
            app:layout_constraintLeft_toRightOf="@+id/iv_code"
            app:layout_constraintRight_toRightOf="@+id/iv_bg_top"
            app:layout_constraintTop_toTopOf="@+id/iv_code" />


        <ImageView
            android:id="@+id/iv_logo"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="6dp"
            android:src="@drawable/icon_klx_logo2"
            app:layout_constraintLeft_toLeftOf="@+id/tv_share_tip"
            app:layout_constraintTop_toBottomOf="@+id/tv_share_tip" />

        <TextView
            android:id="@+id/tv_share_tip2"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginTop="4dp"
            android:layout_marginEnd="15dp"
            android:text="扫码下载酷乐秀进入直播间互动"
            android:textColor="@color/color_333333"
            android:textSize="@dimen/sp_12"
            android:textStyle="bold"
            app:layout_constraintLeft_toLeftOf="@+id/iv_logo"
            app:layout_constraintRight_toRightOf="@+id/iv_bg_top"
            app:layout_constraintTop_toBottomOf="@+id/iv_logo" />


        <View
            android:id="@+id/view_info_bg"
            android:layout_marginBottom="17dp"
            app:layout_constraintBottom_toTopOf="@+id/iv_code"
            android:layout_marginEnd="15dp"
            android:layout_marginStart="15dp"
            app:layout_constraintRight_toRightOf="@+id/iv_bg_top"
            app:layout_constraintLeft_toLeftOf="@+id/iv_bg_top"
            android:background="@drawable/shape_share_live_info_bg"
            android:layout_width="0dp"
            android:layout_height="58dp"/>

        <de.hdodenhof.circleimageview.CircleImageView
            app:civ_border_width="1dp"
            app:civ_border_color="@color/white"
            android:layout_width="36dp"
            android:id="@+id/iv_avatar_owner"
            android:layout_marginStart="12dp"
            app:layout_constraintLeft_toLeftOf="@+id/view_info_bg"
            app:layout_constraintBottom_toBottomOf="@+id/view_info_bg"
            app:layout_constraintTop_toTopOf="@+id/view_info_bg"
            android:layout_height="36dp"/>

        <TextView
            android:ellipsize="end"
            android:maxLines="1"
            app:layout_constraintVertical_chainStyle="packed"
            android:id="@+id/tv_share_title"
            android:layout_marginStart="10dp"
            android:layout_marginEnd="12dp"
            app:layout_constraintBottom_toTopOf="@+id/tv_sharer_name"
            app:layout_constraintRight_toRightOf="@+id/view_info_bg"
            app:layout_constraintLeft_toRightOf="@+id/iv_avatar_owner"
            app:layout_constraintTop_toTopOf="@+id/iv_avatar_owner"
            android:textColor="@color/color_333333"
            android:textSize="@dimen/sp_16"
            android:textStyle="bold"
            tools:text="XXX正在直播中！去围观吧～"
            android:layout_width="0dp"
            android:layout_height="wrap_content"/>

        <TextView
            app:layout_constraintBottom_toBottomOf="@+id/iv_avatar_owner"
            app:layout_constraintTop_toBottomOf="@+id/tv_share_title"
            android:id="@+id/tv_sharer_name"
            android:layout_marginEnd="12dp"
            app:layout_constraintLeft_toLeftOf="@+id/tv_share_title"
            app:layout_constraintRight_toRightOf="@+id/view_info_bg"
            android:textColor="@color/color_333333"
            android:textSize="@dimen/sp_12"
            tools:text="XXX 为您推荐"
            android:layout_width="0dp"
            android:layout_height="wrap_content"/>


        <de.hdodenhof.circleimageview.CircleImageView
            android:layout_marginTop="48dp"
            android:layout_marginStart="37dp"
            app:layout_constraintLeft_toLeftOf="@+id/iv_bg_top"
            app:layout_constraintTop_toTopOf="@+id/iv_bg_top"
            app:civ_border_color="@color/white"
            app:civ_border_width="2dp"
            android:id="@+id/iv_avatar_anchor"
            android:layout_width="76dp"
            android:layout_height="76dp"/>

        <View
            android:id="@+id/view_help_line"
            app:layout_constraintRight_toRightOf="@+id/iv_avatar_anchor"
            app:layout_constraintLeft_toLeftOf="@+id/iv_avatar_anchor"
            app:layout_constraintBottom_toBottomOf="@+id/iv_avatar_anchor"
            android:layout_width="1px"
            android:layout_height="1px"/>

        <TextView
            app:layout_constraintBottom_toBottomOf="@+id/view_help_line"
            app:layout_constraintTop_toTopOf="@+id/view_help_line"
            app:layout_constraintRight_toRightOf="@+id/view_help_line"
            app:layout_constraintLeft_toLeftOf="@+id/view_help_line"
            android:id="@+id/tv_live_tag"
            android:drawablePadding="5dp"
            android:paddingBottom="4dp"
            android:paddingTop="4dp"
            android:paddingEnd="10dp"
            android:paddingStart="10dp"
            android:drawableLeft="@drawable/icon_share_live_tag"
            android:textSize="@dimen/sp_12"
            android:textColor="@color/white"
            android:text="直播中"
            android:background="@drawable/shape_share_live_tip_bg"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"/>
    </androidx.constraintlayout.widget.ConstraintLayout>

    <TextView
        android:id="@+id/tv_save"
        android:layout_width="146dp"
        android:layout_height="44dp"
        android:layout_marginTop="50dp"
        android:layout_marginEnd="13dp"
        android:background="@drawable/shape_24dp_white"
        android:gravity="center"
        android:text="@string/save_pic_str"
        android:textColor="@color/color_2dc7aa"
        android:textSize="@dimen/sp_16"
        app:layout_constraintHorizontal_chainStyle="packed"
        app:layout_constraintLeft_toLeftOf="@+id/cs_share_view"
        app:layout_constraintRight_toLeftOf="@+id/tv_share"
        app:layout_constraintTop_toBottomOf="@+id/cs_share_view" />

    <TextView
        android:id="@+id/tv_share"
        android:layout_width="146dp"
        android:layout_height="44dp"
        android:background="@drawable/shape_2dc7aa_24dp"
        android:gravity="center"
        android:text="@string/share_tip_str"
        android:textColor="@color/white"
        android:textSize="@dimen/sp_16"
        app:layout_constraintLeft_toRightOf="@+id/tv_save"
        app:layout_constraintRight_toRightOf="@+id/cs_share_view"
        app:layout_constraintTop_toTopOf="@+id/tv_save" />
</androidx.constraintlayout.widget.ConstraintLayout>